Mojolicious::Command::Author::cpanify(3)

NAME
Mojolicious::Command::Author::cpanify - CPAN-ify command

SYNOPSIS
  Usage: APPLICATION cpanify [OPTIONS] [FILE]

    mojo cpanify -u sri -p secr3t Mojolicious-Plugin-MyPlugin-0.01.tar.gz

  Options:
    -h, --help                  Show this summary of available options
    -p, --password <password>   PAUSE password
    -u, --user <name>           PAUSE username

DESCRIPTION
Mojolicious::Command::Author::cpanify uploads files to CPAN.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::cpanify inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $cpanify->description;
  $cpanify        = $cpanify->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $cpanify->usage;
  $cpanify  = $cpanify->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::Author::cpanify inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $cpanify->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.